    surfaceScalarField muf = EHDtwoPhaseProperties.muf();

    fvVectorMatrix UEqn
    (
        fvm::ddt(rho, U)
      + fvm::div(rhoPhi, U)
      - fvm::laplacian(muf, U)
      - (fvc::grad(U) & fvc::grad(muf))
    //- fvc::div(muf*(fvc::interpolate(dev(fvc::grad(U))) & mesh.Sf()))
    );

    UEqn.relax();

     volScalarField EE = magSqr(fvc::grad(Ue));

    if (momentumPredictor)
    {
        solve
        (
            UEqn
         ==
            fvc::reconstruct
            (
                (
                    fvc::interpolate(interface.sigmaK())*fvc::snGrad(gamma)
                  - ghf*fvc::snGrad(rho)
                  - fvc::snGrad(pd)
                  - fvc::interpolate(rhoE)*fvc::snGrad(Ue)
                  - scalar(0.5)* fvc::interpolate(EE)*fvc::snGrad(eps)
                ) * mesh.magSf()
            )
        );
    }
